Bug 220070 - mail/dcc-dccd: Port changes to make fully compliant with FreeBSD
Summary: mail/dcc-dccd: Port changes to make fully compliant with FreeBSD
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Richard Gallamore
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-06-17 03:15 UTC by Richard Gallamore
Modified: 2017-06-25 01:48 UTC (History)
2 users (show)

See Also:
pkubaj: maintainer-feedback+


Attachments
mail/dcc-dccd.diff (4.36 KB, patch)
2017-06-17 22:29 UTC, Richard Gallamore
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Gallamore freebsd_committer 2017-06-17 03:15:11 UTC
While working on the update to dcc-dccd, I have decided to make an effort
on making this port more modernized and remove the @cwd depreciated bit. The
ALT_HOME Option will also need to be removed or reworked which changes the home
directory to /var/dcc. Libmilter no longer depends on sendmail and various
comments will also be updated to match current FreeBSD porting practices.

Patches will follow and suggestions on possible problems would be greatly
appreciated.
Comment 1 Max Kostikov 2017-06-17 22:01:41 UTC
dccifd service dies silently after upgrade to latest r443717 revision.
Comment 2 Richard Gallamore freebsd_committer 2017-06-17 22:29:54 UTC
Created attachment 183582 [details]
mail/dcc-dccd.diff

* Added UPDATING entry
* Removed ALT_HOME option
* Fixed MILTER_DESC DCCM
* Changed PORTS_SENDMAIL to PORTS_MILTER
* Cleaned up old code


This is a purposed patch to make mail/dcc-dccd fully compliant with FreeBSD porting practises.
Comment 3 Richard Gallamore freebsd_committer 2017-06-17 22:39:38 UTC
Differential Revision: https://reviews.freebsd.org/D11248
Comment 4 Piotr Kubaj freebsd_committer 2017-06-24 08:44:41 UTC
Looks good to me.
Comment 5 commit-hook freebsd_committer 2017-06-25 01:47:18 UTC
A commit references this bug:

Author: ultima
Date: Sun Jun 25 01:46:14 UTC 2017
New revision: 444253
URL: https://svnweb.freebsd.org/changeset/ports/444253

Log:
  * Added UPDATING entry
  * Removed ALT_HOME option
  * Fixed MILTER_DESC DCCM
  * Changed PORTS_SENDMAIL to PORTS_MILTER
  * Cleaned up old code

  PR:		220070
  Reviewed by:	lifanov (mentor), matthew (mentor)
  Approved by:	matthew (mentor), Piotr Kubaj <pkubaj@anongoth.pl> (maintainer)
  Differential Revision:	https://reviews.freebsd.org/D11248

Changes:
  head/UPDATING
  head/mail/dcc-dccd/Makefile
  head/mail/dcc-dccd/pkg-plist